### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.webdav

# Class DAVException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.services.webdav.DAVException

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class DAVException extends Exception
DAVException Wrapper for any exception that might occur in the DAV resource code. At the moment this is a chained exception, but once we have the information from the originating exception, there may be little point in keeping a copy.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DAVException()`
  Default constructor
  `DAVException(String msg)`
  Constructs an instance for the specified exception message.
  `DAVException(String msg, int httpStatusCode)`
  Constructs an instance for the specified exception message and HTTP status code.
  `DAVException(String msg, Exception exception)`
  Constructs an instance for the specified exception message and the underlying exception.
  `DAVException(String msg, Exception exception, int httpStatusCode)`
  Constructs an instance for the specified exception message, underlying exception and HTTP status code.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Exception`
  `getException()`
  Gets the underlying exception.
  `int`
  `getStatusCode()`
  Gets the HTTP status code.
  `void`
  `setStatusCode(int statusCode)`
  Sets the HTTP status code.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DAVException

    public DAVException()
    Default constructor

  - ### DAVException

    public DAVException(String msg)
    Constructs an instance for the specified exception message.
    Parameters:
      `msg` - Message for the exception.

  - ### DAVException

    public DAVException(String msg, int httpStatusCode)
    Constructs an instance for the specified exception message and HTTP status code.
    Parameters:
      `msg` - Message for the exception.
      `httpStatusCode` - HTTP status code.
    Since:
      9.4m8
    See Also:
      - `getStatusCode()`

  - ### DAVException

    public DAVException(String msg, Exception exception)
    Constructs an instance for the specified exception message and the underlying exception.
    Parameters:
      `msg` - Message for the exception.
      `exception` - The underlying exception.
    See Also:
      - `setStatusCode(int)`

  - ### DAVException

    public DAVException(String msg, Exception exception, int httpStatusCode)
    Constructs an instance for the specified exception message, underlying exception and HTTP status code.
    Parameters:
      `msg` - Message for the exception.
      `exception` - The underlying exception.
      `httpStatusCode` - HTTP status code.
    Since:
      9.4m8
    See Also:
      - `getStatusCode()`

- ## Method Details

  - ### getException

    public final Exception getException()
    Gets the underlying exception.
    Returns:
      Underlying exception or `null` if there is no underlying exception.

  - ### getStatusCode

    public int getStatusCode()
    Gets the HTTP status code.
    Returns:
      The HTTP status code or `0` if not set.

  - ### setStatusCode

    public void setStatusCode(int statusCode)
    Sets the HTTP status code.
    Parameters:
      `statusCode` - The HTTP status code.